package jp.agentec.abook.abv.bl.dto;

import java.util.Date;

/**
 * Created by seo-y on 2018/11/26.
 */

public class TaskReportSendDto extends AbstractDto {
    public int taskReportSendId;
    public String taskKey;
    public int taskReportId;
    public String reportStartDate;
    public String jsonData;
    public Date saveDate;
    public boolean deleteFlg;
    public boolean hotspotChangeFlg;        // ホットスポット更新フラグ

    @Override
    public Object[] getInsertValues() {
        return new Object[] { taskReportSendId, taskKey, taskReportId, reportStartDate, jsonData, saveDate, hotspotChangeFlg, deleteFlg };
    }

    @Override
    public Object[] getUpdateValues() {
        return new Object[] { jsonData, saveDate, hotspotChangeFlg, deleteFlg, taskReportSendId };
    }

    @Override
    public String[] getKeyValues() {
        return new String[] { "" + taskReportSendId };
    }
}
